<div class="wide form" id="AtendimentosVisitasSearch">

    <?php

    $form = $this->beginWidget('GxActiveForm', array('action' => Yii::app()->createUrl($this->route),'method' => 'get'));

    $this->widget('application.extensions.moneymask.MMask', array('element' => '#Clientes_CLI_VLRMENSAL, #Clientes_CLI_VLRMENSAL_FINAL'));
    $this->widget('application.extensions.EChosen.EChosen', array('target' => '.echosen','useJQuery' => true));
    ?>

    <?php if(Yii::app()->controller->action->id == "cancelamentos_grafico") { ?>
         <div class="row">
            <?php echo $form->label($model, 'SEARCH_GROUP', array('label' => 'Gráfico por')); ?>
            <?php
            $group = array('PROD' => 'Produto que usava', 'CID' => 'Cidade', 'MES' => 'Mês', 'ANO' => 'Ano', 'REV'=> 'Unidade de Negócios');
            natcasesort($group);
            ?>
            <?php echo $form->dropDownList($model, 'SEARCH_GROUP', $group, array('prompt' => 'Motivo do cancelamento')); ?>
    </div>
    <?php } ?>

    <?php if (!User::isRevenda()) { ?>
        <div class="row">
            <?php echo $form->label($model, 'CLI_IDREVENDA'); ?>
            <?php echo $form->dropDownList($model, 'CLI_IDREVENDA', GxHtml::listDataEx(Revendas::model()->findAll('REV_SITUACAO="A" order by REV_NOME')), array('prompt' => 'Todas')); ?>
        </div>
    <?php } ?>

    <div class="row">
        <?php echo $form->label($model, 'CLI_IDRESCISAO'); ?>
        <?php echo $form->dropDownList($model, 'CLI_IDRESCISAO', GxHtml::listDataEx(Motivos::model()->findAll('MOT_SITUACAO="A" AND MOT_TIPO = 3 and MOT_IDMOTIVO <> 110 order by MOT_DESCRICAO')), array('prompt' => 'Todos')); ?>
    </div>

    <div class="row">
        <?php echo $form->label($model, 'CLI_DTRESCISAO'); ?>
        <?php $form->widget('ext.Utils.widgets.CrmDatePicker', array('model' => $model, 'attribute' => 'CLI_DTRESCISAO')); ?> até
        <?php $form->widget('ext.Utils.widgets.CrmDatePicker', array('model' => $model, 'attribute' => 'CLI_DTRESCISAO_FINAL')); ?>
    </div>

    <div class="row">
        <?php echo $form->label($model, 'CLI_CIDADE'); ?>
        <?php
        $cidades = array();
        if(!empty($model->CLI_IDREVENDA) && !User::isRevenda()) {
            $RegioesCidades = Regioescidades::model()->findAll('RCD_IDREVENDA = ' . $model->CLI_IDREVENDA);
            $cidades = CHtml::listData($RegioesCidades, 'RCD_IDCIDADE', 'CidadeEstado');
        } else {
            $cidades = User::getCidadesEstados();
        }
        echo $form->dropDownList($model, 'CLI_CIDADE', $cidades, array('prompt' => 'Todas', 'class' => 'echosen'));
        ?>
    </div><!-- row -->

    <div class="row">
        <?php echo $form->label($model, 'CLI_PRODUTO'); ?>
        <?php
        $this->widget('application.extensions.multiselect.JMultiSelect', array(
            'model' => $model,
            'attribute' => 'CLI_PRODUTO',
            'data' => Util::GetProdutosList(),
        ));
        ?>
    </div><!-- row -->

    <div class="row">
        <?php echo $form->label($model, 'CLI_MODULOS_COMPLEMENTARES', array('class' => 'line_small')); ?>
        <?php
        $this->widget('application.extensions.multiselect.JMultiSelect', array(
            'model' => $model,
            'attribute' => 'CLI_MODULOS_COMPLEMENTARES',
            'data' => GxHtml::listDataEx(Modulos::model()->findAll("MOD_SITUACAO = 'A' and MOD_COMPLEMENTO = 'S' order by MOD_DESCRICAO"), 'MOD_IDMODULO', 'MOD_DESCRICAO'),
        ));
        ?>
    </div><!-- row -->

    <div class="row">
        <?php echo $form->label($model, 'CLI_VLRMENSAL', array('label' => 'Valor da Mensalidade', 'class' => 'line_small')); ?>
        <?php echo $form->textField($model, 'CLI_VLRMENSAL', array('maxlength' => 14, 'style' => 'width:100px'));
        ?> à <?php echo $form->textField($model, 'CLI_VLRMENSAL_FINAL', array('maxlength' => 14, 'style' => 'width:100px'));
        ?>
    </div>

    <div class="row buttons">
        <input type="hidden" name="busca" value="1" />
        <?php echo FaHtml::searchButton(); ?>
    </div>

    <?php $this->endWidget(); ?>

</div><!-- search-form -->
<script>
$(document).ready(function () {
  jQuery('body').undelegate('#Clientes_CLI_IDREVENDA','change').delegate('#Clientes_CLI_IDREVENDA','change',function(){
    var revenda = $("#Clientes_CLI_IDREVENDA").val();
    var cidade = $("#Clientes_CLI_CIDADE").val();
    jQuery.ajax({
      type: 'GET',
      url: createUrl('autocomplete/cidades'),
      cache: false,
      data: {revenda: revenda, selecione:true},
      success: function(html){
        jQuery("#Clientes_CLI_CIDADE").html(html);
        selectField('Clientes_CLI_CIDADE', cidade);
        $(".echosen").trigger("chosen:updated");
      }
    });

    return false;
  });
});
</script>